#include "gm.h"
#include "SharedBuffers.h"

SharedBufferInterface *sbi = NULL;

gmexport double test_init_shared_buffers(double handle) {
	sbi = (SharedBufferInterface*)((uintptr_t)(handle));
	return 1;
}

gmexport double test_writetobuffer(double id) {
	if(sbi == NULL) return 0;
	Buffer *b = sbi->Find((unsigned int)(id));
	if(b == NULL) return 0;
	sbi->WriteInt32(b, 12345);
	sbi->WriteString(b, "Hello world");
	sbi->WriteFloat32(b, 42.42f);
	return 1;
}

