#define shared_buffers_init
var dllfile;
if is_string(argument0) then dllfile = argument0;
else dllfile = 'shared_buffers.dll';

global.define_shared_buffers_get_handle = external_define(dllfile,'shared_buffers_get_handle',dll_cdecl,ty_real,0);
global.define_buffer_create = external_define(dllfile,'buffer_create',dll_cdecl,ty_real,0);
global.define_buffer_destroy = external_define(dllfile,'buffer_destroy',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_exists = external_define(dllfile,'buffer_exists',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_to_string = external_define(dllfile,'buffer_to_string',dll_cdecl,ty_string,1,ty_real);
global.define_buffer_get_pos = external_define(dllfile,'buffer_get_pos',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_get_length = external_define(dllfile,'buffer_get_length',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_at_end = external_define(dllfile,'buffer_at_end',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_get_error = external_define(dllfile,'buffer_get_error',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_clear_error = external_define(dllfile,'buffer_clear_error',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_clear = external_define(dllfile,'buffer_clear',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_set_pos = external_define(dllfile,'buffer_set_pos',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_set_length = external_define(dllfile,'buffer_set_length',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_read_from_file = external_define(dllfile,'buffer_read_from_file',dll_cdecl,ty_real,2,ty_real,ty_string);
global.define_buffer_write_to_file = external_define(dllfile,'buffer_write_to_file',dll_cdecl,ty_real,2,ty_real,ty_string);
global.define_buffer_read_int8 = external_define(dllfile,'buffer_read_int8',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_read_uint8 = external_define(dllfile,'buffer_read_uint8',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_read_int16 = external_define(dllfile,'buffer_read_int16',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_read_uint16 = external_define(dllfile,'buffer_read_uint16',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_read_int32 = external_define(dllfile,'buffer_read_int32',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_read_uint32 = external_define(dllfile,'buffer_read_uint32',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_read_int64 = external_define(dllfile,'buffer_read_int64',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_read_uint64 = external_define(dllfile,'buffer_read_uint64',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_read_float32 = external_define(dllfile,'buffer_read_float32',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_read_float64 = external_define(dllfile,'buffer_read_float64',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_write_int8 = external_define(dllfile,'buffer_write_int8',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_uint8 = external_define(dllfile,'buffer_write_uint8',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_int16 = external_define(dllfile,'buffer_write_int16',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_uint16 = external_define(dllfile,'buffer_write_uint16',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_int32 = external_define(dllfile,'buffer_write_int32',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_uint32 = external_define(dllfile,'buffer_write_uint32',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_int64 = external_define(dllfile,'buffer_write_int64',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_uint64 = external_define(dllfile,'buffer_write_uint64',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_float32 = external_define(dllfile,'buffer_write_float32',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_float64 = external_define(dllfile,'buffer_write_float64',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_read_string = external_define(dllfile,'buffer_read_string',dll_cdecl,ty_string,1,ty_real);
global.define_buffer_write_string = external_define(dllfile,'buffer_write_string',dll_cdecl,ty_real,2,ty_real,ty_string);
global.define_buffer_read_data = external_define(dllfile,'buffer_read_data',dll_cdecl,ty_string,2,ty_real,ty_real);
global.define_buffer_write_data = external_define(dllfile,'buffer_write_data',dll_cdecl,ty_real,2,ty_real,ty_string);
global.define_buffer_read_hex = external_define(dllfile,'buffer_read_hex',dll_cdecl,ty_string,2,ty_real,ty_real);
global.define_buffer_write_hex = external_define(dllfile,'buffer_write_hex',dll_cdecl,ty_real,2,ty_real,ty_string);
global.define_buffer_write_buffer = external_define(dllfile,'buffer_write_buffer',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_write_buffer_part = external_define(dllfile,'buffer_write_buffer_part',dll_cdecl,ty_real,4,ty_real,ty_real,ty_real,ty_real);

#define shared_buffers_get_handle
// shared_buffers_get_handle()
external_call(global.define_shared_buffers_get_handle);
#define buffer_create
// buffer_create()
external_call(global.define_buffer_create);
#define buffer_destroy
// buffer_destroy(id)
external_call(global.define_buffer_destroy,argument0);
#define buffer_exists
// buffer_exists(id)
external_call(global.define_buffer_exists,argument0);
#define buffer_to_string
// buffer_to_string(id)
external_call(global.define_buffer_to_string,argument0);
#define buffer_get_pos
// buffer_get_pos(id)
external_call(global.define_buffer_get_pos,argument0);
#define buffer_get_length
// buffer_get_length(id)
external_call(global.define_buffer_get_length,argument0);
#define buffer_at_end
// buffer_at_end(id)
external_call(global.define_buffer_at_end,argument0);
#define buffer_get_error
// buffer_get_error(id)
external_call(global.define_buffer_get_error,argument0);
#define buffer_clear_error
// buffer_clear_error(id)
external_call(global.define_buffer_clear_error,argument0);
#define buffer_clear
// buffer_clear(id)
external_call(global.define_buffer_clear,argument0);
#define buffer_set_pos
// buffer_set_pos(id,newpos)
external_call(global.define_buffer_set_pos,argument0,argument1);
#define buffer_set_length
// buffer_set_length(id,newlength)
external_call(global.define_buffer_set_length,argument0,argument1);
#define buffer_read_from_file
// buffer_read_from_file(id,filename)
external_call(global.define_buffer_read_from_file,argument0,argument1);
#define buffer_write_to_file
// buffer_write_to_file(id,filename)
external_call(global.define_buffer_write_to_file,argument0,argument1);
#define buffer_read_int8
// buffer_read_int8(id)
external_call(global.define_buffer_read_int8,argument0);
#define buffer_read_uint8
// buffer_read_uint8(id)
external_call(global.define_buffer_read_uint8,argument0);
#define buffer_read_int16
// buffer_read_int16(id)
external_call(global.define_buffer_read_int16,argument0);
#define buffer_read_uint16
// buffer_read_uint16(id)
external_call(global.define_buffer_read_uint16,argument0);
#define buffer_read_int32
// buffer_read_int32(id)
external_call(global.define_buffer_read_int32,argument0);
#define buffer_read_uint32
// buffer_read_uint32(id)
external_call(global.define_buffer_read_uint32,argument0);
#define buffer_read_int64
// buffer_read_int64(id)
external_call(global.define_buffer_read_int64,argument0);
#define buffer_read_uint64
// buffer_read_uint64(id)
external_call(global.define_buffer_read_uint64,argument0);
#define buffer_read_float32
// buffer_read_float32(id)
external_call(global.define_buffer_read_float32,argument0);
#define buffer_read_float64
// buffer_read_float64(id)
external_call(global.define_buffer_read_float64,argument0);
#define buffer_write_int8
// buffer_write_int8(id,value)
external_call(global.define_buffer_write_int8,argument0,argument1);
#define buffer_write_uint8
// buffer_write_uint8(id,value)
external_call(global.define_buffer_write_uint8,argument0,argument1);
#define buffer_write_int16
// buffer_write_int16(id,value)
external_call(global.define_buffer_write_int16,argument0,argument1);
#define buffer_write_uint16
// buffer_write_uint16(id,value)
external_call(global.define_buffer_write_uint16,argument0,argument1);
#define buffer_write_int32
// buffer_write_int32(id,value)
external_call(global.define_buffer_write_int32,argument0,argument1);
#define buffer_write_uint32
// buffer_write_uint32(id,value)
external_call(global.define_buffer_write_uint32,argument0,argument1);
#define buffer_write_int64
// buffer_write_int64(id,value)
external_call(global.define_buffer_write_int64,argument0,argument1);
#define buffer_write_uint64
// buffer_write_uint64(id,value)
external_call(global.define_buffer_write_uint64,argument0,argument1);
#define buffer_write_float32
// buffer_write_float32(id,value)
external_call(global.define_buffer_write_float32,argument0,argument1);
#define buffer_write_float64
// buffer_write_float64(id,value)
external_call(global.define_buffer_write_float64,argument0,argument1);
#define buffer_read_string
// buffer_read_string(id)
external_call(global.define_buffer_read_string,argument0);
#define buffer_write_string
// buffer_write_string(id,string)
external_call(global.define_buffer_write_string,argument0,argument1);
#define buffer_read_data
// buffer_read_data(id,bytes)
external_call(global.define_buffer_read_data,argument0,argument1);
#define buffer_write_data
// buffer_write_data(id,string)
external_call(global.define_buffer_write_data,argument0,argument1);
#define buffer_read_hex
// buffer_read_hex(id,bytes)
external_call(global.define_buffer_read_hex,argument0,argument1);
#define buffer_write_hex
// buffer_write_hex(id,string)
external_call(global.define_buffer_write_hex,argument0,argument1);
#define buffer_write_buffer
// buffer_write_buffer(id,source_id)
external_call(global.define_buffer_write_buffer,argument0,argument1);
#define buffer_write_buffer_part
// buffer_write_buffer_part(id,source_id,offset,bytes)
external_call(global.define_buffer_write_buffer_part,argument0,argument1,argument2,argument3);
